Subject: Re: [Dtls-iot] WGLC for DTLS Profile draft: 11/11/2014 - 11/25/2014

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 01 Dec 2014 09:25:12 +0100

Hi John,

thanks for your feedback.

I believe from the responses so far we can say the following:

 * We recommend the use of AEAD ciphersuites (such as AES-CCM today and
maybe haCha20-Poly1305 in the near future).
 * Chip manufacturers should make AES primitive available to  developers
via APIs so that they can benefit from the hardware support when they
develop security mechanisms at the application layer.
 * Chip manufacturers need to be aware that cryptographic protocols
change over time. Providing software update mechanisms (when the
implementation is in software on the chip rather than in hardware) and
providing building blocks in hardware (rather than complete solutions)
is likely to be better in the long term.

Ciao
Hannes

On 11/19/2014 04:07 PM, John Mattsson wrote:
> Hi,
> 
> Agreeing with Hannes on HTTP/2 for IoT.
> 
> While AES-CCM is better for small devices, AES-GCM is faster on large
> devices. See for example (https://eprint.iacr.org/2014/186.pdf, Table 4,
> “single message”). I also think it would be a bad idea for HTTP/2 to
> require implementation of a cipher suite with only a 8 byte authentication
> tag. The IoT devices that implements HTTP/2 can probably take the cost of
> implementing GCM as well.
> 
> Concerning UTA BCP, I think Roberts suggestion “I think UTA should state
> the use of approved AEAD ciphers as BCP” makes sense.
> 
> Another aspect is that we will probably soon have ChaCha20-Poly1305 as a
> new AEAD cipher: 
> https://tools.ietf.org/html/draft-irtf-cfrg-chacha20-poly1305-03
> 
> I suspect this to be popular for IoT devices without HW support for AES,
> and it strengthens the case for UTA BCP to not recommend just GCM but all
> approved AEAD ciphers.
> 
> Cheers,
> John
> 
> 
> _______________________________________________
> dtls-iot mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dtls-iot
>